<div align="center">
  <img src="assets/eslint-logo.svg" height="80" width="80" />
  <h1>eslint-config-bob</h1>
  <a href="https://npmjs.com/package/eslint-config-bob">
    <img alt="npm" src="https://img.shields.io/npm/v/eslint-config-bob.svg">
  </a>
  <a href="https://github.com/bconnorwhite/eslint-config-bob">
    <img alt="typescript" src="https://img.shields.io/github/languages/top/bconnorwhite/eslint-config-bob.svg">
  </a>
  <a href='https://coveralls.io/github/bconnorwhite/eslint-config-bob?branch=master'>
    <img alt="Coverage Status" src="https://img.shields.io/coveralls/github/bconnorwhite/eslint-config-bob.svg?branch=master">
  </a>
  <a href="https://github.com/bconnorwhite/eslint-config-bob">
    <img alt="GitHub stars" src="https://img.shields.io/github/stars/bconnorwhite/eslint-config-bob?label=Stars%20Appreciated%21&style=social">
  </a>
  <a href="https://twitter.com/bconnorwhite">
    <img alt="Twitter Follow" src="https://img.shields.io/twitter/follow/bconnorwhite.svg?label=%40bconnorwhite&style=social">
  </a>
</div>

<br />

> ESLint configuration for packages built with @bconnorwhite/bob.

Reasonable linting rules for TypeScript, React, and JSON.

## Installation

```bash
yarn add eslint-config-bob
```

```bash
npm install eslint-config-bob
```

## Usage

In .eslintrc.json:

```json
{
  "extends": "eslint-config-bob"
}
```

<br />

<h2>Dependencies<img align="right" alt="dependencies" src="https://img.shields.io/david/bconnorwhite/eslint-config-bob.svg"></h2>

- [@typescript-eslint/eslint-plugin](https://www.npmjs.com/package/@typescript-eslint/eslint-plugin): TypeScript plugin for ESLint
- [@typescript-eslint/parser](https://www.npmjs.com/package/@typescript-eslint/parser): An ESLint custom parser which leverages TypeScript ESTree
- [eslint-plugin-json](https://www.npmjs.com/package/eslint-plugin-json): Eslint plugin for JSON files
- [eslint-plugin-react](https://www.npmjs.com/package/eslint-plugin-react): React specific linting rules for ESLint
- [eslint-plugin-react-hooks](https://www.npmjs.com/package/eslint-plugin-react-hooks): ESLint rules for React Hooks
- [types-eslintrc](https://www.npmjs.com/package/types-eslintrc): Type checking for .eslintrc.json

<br />

<h2>Peer Dependencies<img align="right" alt="David" src="https://img.shields.io/david/peer/bconnorwhite/eslint-config-bob.svg"></h2>

- [eslint](https://www.npmjs.com/package/eslint): An AST-based pattern checker for JavaScript.

<br />

<h2>Dev Dependencies<img align="right" alt="David" src="https://img.shields.io/david/dev/bconnorwhite/eslint-config-bob.svg"></h2>

- [@bconnorwhite/bob](https://www.npmjs.com/package/@bconnorwhite/bob): Bob is a toolkit for TypeScript projects

<br />

<h2>License <img align="right" alt="license" src="https://img.shields.io/npm/l/eslint-config-bob.svg"></h2>

[MIT](https://opensource.org/licenses/MIT)
