"use strict";

var _rules = _interopRequireWildcard(require("./rules"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var config = {
  env: {
    browser: true,
    node: true
  },
  ignorePatterns: ["/build", "/coverage", "node_modules"],
  overrides: [{
    files: ["*.ts", "*.tsx", "*.js", "*.jsx"],
    "extends": ["eslint:recommended"],
    rules: _rules["default"]
  }, {
    files: ["*.ts", "*.tsx"],
    "extends": ["plugin:@typescript-eslint/eslint-recommended", "plugin:@typescript-eslint/recommended"],
    plugins: ["@typescript-eslint"],
    rules: _rules.typescriptRules
  }, {
    files: ["*.tsx", "*.jsx"],
    "extends": ["plugin:react/recommended"],
    plugins: ["react-hooks"],
    rules: _rules.reactRules,
    settings: {
      react: {
        version: "detect"
      }
    }
  }, {
    files: ["*.json"],
    "extends": ["plugin:json/recommended"]
  }],
  parser: "@typescript-eslint/parser",
  parserOptions: {
    ecmaVersion: 2021,
    sourceType: "module"
  },
  reportUnusedDisableDirectives: true
};
module.exports = _extends({}, config);